Page 1 of 1

annoying yum issue

Posted: 2009/04/11 23:04:26
by wpmullin
recently updated centos 5.3

upon running yum update after much spinning and whirring I get the following


Total download size: 22 M
Is this ok [y/N]: y
Downloading Packages:
Traceback (most recent call last):
File "/usr/bin/yum", line 29, in ?
yummain.user_main(sys.argv[1:], exit_code=True)
File "/usr/share/yum-cli/yummain.py", line 229, in user_main
errcode = main(args)
File "/usr/share/yum-cli/yummain.py", line 181, in main
return_code = base.doTransaction()
File "/usr/share/yum-cli/cli.py", line 386, in doTransaction
problems = self.downloadPkgs(downloadpkgs, callback_total=self.download_callback_total_cb)
File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 1108, in downloadPkgs
remote_size += po.size
TypeError: unsupported operand type(s) for +=: 'int' and 'str'

I havw done yum clean all before this but I have seen this more than once. Totally confused.

Re: annoying yum issue

Posted: 2009/04/12 01:33:10
by pschaff
A shot in the dark, but try:

rm -rf /var/cache/yum/*

Similar problems in the past have been traced to issues with the cache directory. If that doesn't help...

Did you update with "yum clean all && yum update glibc\* && yum update"? Have you rebooted after updating? What is the version of yum?

Re: annoying yum issue

Posted: 2009/04/12 13:49:45
by wpmullin
[quote]
pschaff wrote:
A shot in the dark, but try:

rm -rf /var/cache/yum/*

Similar problems in the past have been traced to issues with the cache directory. If that doesn't help...

Did you update with "yum clean all && yum update glibc\* && yum update"?

No updated kernel then the rest. No errors (after clean all and deleting some rpm detrius)


Have you rebooted after updating?
Actually no. Uptime 220 days

What is the version of yum?[/quote]

[root@engineering rpm]# yum --version
3.2.19
Installed: yum-metadata-parser-1.0-8.fc6.i386 at 2008-12-05 00:48
Built : [] at 2007-01-15 02:54
Committed: Jeremy Katz at 2006-09-27 22:00

Installed: yum-metadata-parser-1.1.2-2.el5.i386 at 2008-06-25 20:24
Built : [] at 2008-05-24 19:53
Committed: James Antill at 2008-01-18 22:00

Installed: rpm-4.4.2.3-9.el5.i386 at 2009-04-04 21:41
Built : [] at 2009-01-21 08:05
Committed: Panu Matilainen at 2008-12-02 22:00

Installed: yum-3.2.19-18.el5.centos.noarch at 2009-04-04 21:43
Built : [] at 2009-01-22 10:53
Committed: Karanbir Singh at 2009-01-22 22:00


Any other suggestions? Will rebootong make a difference?

Re: annoying yum issue

Posted: 2009/04/12 14:01:23
by wpmullin
[quote]
pschaff wrote:
A shot in the dark, but try:

rm -rf /var/cache/yum/*

Similar problems in the past have been traced to issues with the cache directory. If that doesn't help...

Did you update with "yum clean all && yum update glibc\* && yum update"?

No updated kernel then the rest. No errors (after clean all and deleting some rpm detrius)


Have you rebooted after updating?
Actually no. Uptime 220 days

What is the version of yum?[/quote]

[root@engineering rpm]# yum --version
3.2.19
Installed: yum-metadata-parser-1.0-8.fc6.i386 at 2008-12-05 00:48
Built : [] at 2007-01-15 02:54
Committed: Jeremy Katz at 2006-09-27 22:00

Installed: yum-metadata-parser-1.1.2-2.el5.i386 at 2008-06-25 20:24
Built : [] at 2008-05-24 19:53
Committed: James Antill at 2008-01-18 22:00

Installed: rpm-4.4.2.3-9.el5.i386 at 2009-04-04 21:41
Built : [] at 2009-01-21 08:05
Committed: Panu Matilainen at 2008-12-02 22:00

Installed: yum-3.2.19-18.el5.centos.noarch at 2009-04-04 21:43
Built : [] at 2009-01-22 10:53
Committed: Karanbir Singh at 2009-01-22 22:00


Any other suggestions? Will rebootong make a difference?

Re: annoying yum issue

Posted: 2009/04/14 01:11:07
by wpmullin
fixed my issue


Noriced two yum-metadata-parser rpms
deleted older on

new error
deleted 2nd said not installed

downloaded
yum-metadata-parser-1.1.2-2.el5.i386

tried to install
said installed
used --force
it installed

yum worked


????

Re: annoying yum issue

Posted: 2009/04/14 01:16:57
by pschaff
Stuff happens. :-)

Was getting ready to point out the two versions when I saw your last post. Glad you fixed it, and thanks for reporting back.

Re: annoying yum issue

Posted: 2014/06/12 17:38:49
by Balasarius
wpmullin wrote:fixed my issue

Noriced two yum-metadata-parser rpms
deleted older on

new error
deleted 2nd said not installed

downloaded
yum-metadata-parser-1.1.2-2.el5.i386

tried to install
said installed
used --force
it installed

yum worked

????
Just wanted to reply to say this fixed my issue (where none of the many many other recommendations on the internet did).

After I deleted the older yum-metadata-parser, yum was completely broken and wouldn't even report a version. Don't panic! After installing the latest version of yum-metadata-parser, it worked perfectly.

Thanks!